<?php
/**
 * Superb transition slideshow
 *
 * @package 	Superb transition slideshow
 * @subpackage 	mod_superb_transition_slideshow
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/06/superb-transition-slideshow-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\SuperbTransitionSlideshow\Site\Helper\SuperbTransitionSlideshowHelper;

$modbase 	= JURI::base(true).'/modules/mod_superb_transition_slideshow/';
$document 	= JFactory::getDocument();
$document->addScript ($modbase.'mod_superb_transition_slideshow.js');	

$folder		= SuperbTransitionSlideshowHelper::getFolder($params);
$images		= SuperbTransitionSlideshowHelper::getImages($params, $folder);

if (!count($images)) 
{
	echo JText::_('No Images ' . $folder . '<br><br>');
	return;
}

require ModuleHelper::getLayoutPath('mod_superb_transition_slideshow', $params->get('layout', 'default'));